[
{ "tag": "typedef", "ns": 0, "name": "__u_char", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:31:23", "type": { "tag": ":unsigned-char", "bit-size": 8, "bit-alignment": 8 } },
{ "tag": "typedef", "ns": 0, "name": "__u_short", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:32:28", "type": { "tag": ":unsigned-short", "bit-size": 16, "bit-alignment": 16 } },
{ "tag": "typedef", "ns": 0, "name": "__u_int", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:33:22", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__u_long", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:34:27", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__int8_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:37:21", "type": { "tag": ":signed-char", "bit-size": 8, "bit-alignment": 8 } },
{ "tag": "typedef", "ns": 0, "name": "__uint8_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:38:23", "type": { "tag": ":unsigned-char", "bit-size": 8, "bit-alignment": 8 } },
{ "tag": "typedef", "ns": 0, "name": "__int16_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:39:26", "type": { "tag": ":short", "bit-size": 16, "bit-alignment": 16 } },
{ "tag": "typedef", "ns": 0, "name": "__uint16_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:40:28", "type": { "tag": ":unsigned-short", "bit-size": 16, "bit-alignment": 16 } },
{ "tag": "typedef", "ns": 0, "name": "__int32_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:41:20", "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__uint32_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:42:22", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__int64_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:44:25", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__uint64_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:45:27", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__int_least8_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:52:18", "type": { "tag": "__int8_t" } },
{ "tag": "typedef", "ns": 0, "name": "__uint_least8_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:53:19", "type": { "tag": "__uint8_t" } },
{ "tag": "typedef", "ns": 0, "name": "__int_least16_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:54:19", "type": { "tag": "__int16_t" } },
{ "tag": "typedef", "ns": 0, "name": "__uint_least16_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:55:20", "type": { "tag": "__uint16_t" } },
{ "tag": "typedef", "ns": 0, "name": "__int_least32_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:56:19", "type": { "tag": "__int32_t" } },
{ "tag": "typedef", "ns": 0, "name": "__uint_least32_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:57:20", "type": { "tag": "__uint32_t" } },
{ "tag": "typedef", "ns": 0, "name": "__int_least64_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:58:19", "type": { "tag": "__int64_t" } },
{ "tag": "typedef", "ns": 0, "name": "__uint_least64_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:59:20", "type": { "tag": "__uint64_t" } },
{ "tag": "typedef", "ns": 0, "name": "__quad_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:63:18", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__u_quad_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:64:27", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__intmax_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:72:18", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__uintmax_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:73:27", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__dev_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:145:25", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__uid_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:146:25", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__gid_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:147:25", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__ino_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:148:25", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__ino64_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:149:27", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__mode_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:150:26", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__nlink_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:151:27", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__off_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:152:25", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__off64_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:153:27", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__pid_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:154:25", "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__fsid_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:155:26", "type": { "tag": "struct", "ns": 65535, "name": "", "id": 1, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:155:12 <Spelling=/usr/include/aarch64-linux-gnu/bits/typesizes.h:72:24>", "bit-size": 64, "bit-alignment": 32, "fields": [{ "tag": "field", "name": "__val", "bit-offset": 0, "bit-size": 64, "bit-alignment": 32, "type": { "tag": ":array", "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 }, "size": 2 } }] } },
{ "tag": "typedef", "ns": 0, "name": "__clock_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:156:27", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__rlim_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:157:26", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__rlim64_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:158:28", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__id_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:159:24", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__time_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:160:26", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__useconds_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:161:30", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__suseconds_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:162:31", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__suseconds64_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:163:33", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__daddr_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:165:27", "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__key_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:166:25", "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__clockid_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:169:29", "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__timer_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:172:27", "type": { "tag": ":pointer", "type": { "tag": ":void" } } },
{ "tag": "typedef", "ns": 0, "name": "__blksize_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:175:29", "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__blkcnt_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:180:28", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__blkcnt64_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:181:30", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__fsblkcnt_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:184:30", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__fsblkcnt64_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:185:32", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__fsfilcnt_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:188:30", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__fsfilcnt64_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:189:32", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__fsword_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:192:28", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__ssize_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:194:27", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__syscall_slong_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:197:33", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__syscall_ulong_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:199:33", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__loff_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:203:19", "type": { "tag": "__off64_t" } },
{ "tag": "typedef", "ns": 0, "name": "__caddr_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:204:15", "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } },
{ "tag": "typedef", "ns": 0, "name": "__intptr_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:207:25", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "__socklen_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:210:23", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "__sig_atomic_t", "location": "/usr/include/aarch64-linux-gnu/bits/types.h:215:13", "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "int8_t", "location": "/usr/include/aarch64-linux-gnu/bits/stdint-intn.h:24:18", "type": { "tag": "__int8_t" } },
{ "tag": "typedef", "ns": 0, "name": "int16_t", "location": "/usr/include/aarch64-linux-gnu/bits/stdint-intn.h:25:19", "type": { "tag": "__int16_t" } },
{ "tag": "typedef", "ns": 0, "name": "int32_t", "location": "/usr/include/aarch64-linux-gnu/bits/stdint-intn.h:26:19", "type": { "tag": "__int32_t" } },
{ "tag": "typedef", "ns": 0, "name": "int64_t", "location": "/usr/include/aarch64-linux-gnu/bits/stdint-intn.h:27:19", "type": { "tag": "__int64_t" } },
{ "tag": "typedef", "ns": 0, "name": "uint8_t", "location": "/usr/include/aarch64-linux-gnu/bits/stdint-uintn.h:24:19", "type": { "tag": "__uint8_t" } },
{ "tag": "typedef", "ns": 0, "name": "uint16_t", "location": "/usr/include/aarch64-linux-gnu/bits/stdint-uintn.h:25:20", "type": { "tag": "__uint16_t" } },
{ "tag": "typedef", "ns": 0, "name": "uint32_t", "location": "/usr/include/aarch64-linux-gnu/bits/stdint-uintn.h:26:20", "type": { "tag": "__uint32_t" } },
{ "tag": "typedef", "ns": 0, "name": "uint64_t", "location": "/usr/include/aarch64-linux-gnu/bits/stdint-uintn.h:27:20", "type": { "tag": "__uint64_t" } },
{ "tag": "typedef", "ns": 0, "name": "int_least8_t", "location": "/usr/include/stdint.h:43:24", "type": { "tag": "__int_least8_t" } },
{ "tag": "typedef", "ns": 0, "name": "int_least16_t", "location": "/usr/include/stdint.h:44:25", "type": { "tag": "__int_least16_t" } },
{ "tag": "typedef", "ns": 0, "name": "int_least32_t", "location": "/usr/include/stdint.h:45:25", "type": { "tag": "__int_least32_t" } },
{ "tag": "typedef", "ns": 0, "name": "int_least64_t", "location": "/usr/include/stdint.h:46:25", "type": { "tag": "__int_least64_t" } },
{ "tag": "typedef", "ns": 0, "name": "uint_least8_t", "location": "/usr/include/stdint.h:49:25", "type": { "tag": "__uint_least8_t" } },
{ "tag": "typedef", "ns": 0, "name": "uint_least16_t", "location": "/usr/include/stdint.h:50:26", "type": { "tag": "__uint_least16_t" } },
{ "tag": "typedef", "ns": 0, "name": "uint_least32_t", "location": "/usr/include/stdint.h:51:26", "type": { "tag": "__uint_least32_t" } },
{ "tag": "typedef", "ns": 0, "name": "uint_least64_t", "location": "/usr/include/stdint.h:52:26", "type": { "tag": "__uint_least64_t" } },
{ "tag": "typedef", "ns": 0, "name": "int_fast8_t", "location": "/usr/include/stdint.h:58:22", "type": { "tag": ":signed-char", "bit-size": 8, "bit-alignment": 8 } },
{ "tag": "typedef", "ns": 0, "name": "int_fast16_t", "location": "/usr/include/stdint.h:60:19", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "int_fast32_t", "location": "/usr/include/stdint.h:61:19", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "int_fast64_t", "location": "/usr/include/stdint.h:62:19", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "uint_fast8_t", "location": "/usr/include/stdint.h:71:24", "type": { "tag": ":unsigned-char", "bit-size": 8, "bit-alignment": 8 } },
{ "tag": "typedef", "ns": 0, "name": "uint_fast16_t", "location": "/usr/include/stdint.h:73:27", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "uint_fast32_t", "location": "/usr/include/stdint.h:74:27", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "uint_fast64_t", "location": "/usr/include/stdint.h:75:27", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "intptr_t", "location": "/usr/include/stdint.h:87:19", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "uintptr_t", "location": "/usr/include/stdint.h:90:27", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "intmax_t", "location": "/usr/include/stdint.h:101:21", "type": { "tag": "__intmax_t" } },
{ "tag": "typedef", "ns": 0, "name": "uintmax_t", "location": "/usr/include/stdint.h:102:22", "type": { "tag": "__uintmax_t" } },
{ "tag": "typedef", "ns": 0, "name": "ptrdiff_t", "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stddef.h:35:26", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "size_t", "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stddef.h:46:23", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "typedef", "ns": 0, "name": "wchar_t", "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stddef.h:74:24", "type": { "tag": ":unsigned-int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "typedef", "ns": 0, "name": "max_align_t", "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/__stddef_max_align_t.h:24:3", "type": { "tag": "struct", "ns": 762077550, "name": "", "id": 2, "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/__stddef_max_align_t.h:19:9", "bit-size": 256, "bit-alignment": 128, "fields": [{ "tag": "field", "name": "__clang_max_align_nonce1", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":long-long", "bit-size": 64, "bit-alignment": 64 } }, { "tag": "field", "name": "__clang_max_align_nonce2", "bit-offset": 128, "bit-size": 128, "bit-alignment": 128, "type": { "tag": ":long-double", "bit-size": 128, "bit-alignment": 128 } }] } },
{ "tag": "typedef", "ns": 0, "name": "LLMHandle", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:16:15", "type": { "tag": ":pointer", "type": { "tag": ":void" } } },
{ "tag": "enum", "ns": 0, "name": "", "id": 3, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:22:9", "fields": [{ "tag": "field", "name": "RKLLM_RUN_NORMAL", "value": 0 }, { "tag": "field", "name": "RKLLM_RUN_WAITING", "value": 1 }, { "tag": "field", "name": "RKLLM_RUN_FINISH", "value": 2 }, { "tag": "field", "name": "RKLLM_RUN_ERROR", "value": 3 }, { "tag": "field", "name": "RKLLM_RUN_GET_LAST_HIDDEN_LAYER", "value": 4 }] },
{ "tag": "typedef", "ns": 0, "name": "LLMCallState", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:28:3", "type": { "tag": ":enum", "name": "", "id": 3 } },
{ "tag": "enum", "ns": 0, "name": "", "id": 4, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:34:9", "fields": [{ "tag": "field", "name": "RKLLM_INPUT_PROMPT", "value": 0 }, { "tag": "field", "name": "RKLLM_INPUT_TOKEN", "value": 1 }, { "tag": "field", "name": "RKLLM_INPUT_EMBED", "value": 2 }, { "tag": "field", "name": "RKLLM_INPUT_MULTIMODAL", "value": 3 }] },
{ "tag": "typedef", "ns": 0, "name": "RKLLMInputType", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:39:3", "type": { "tag": ":enum", "name": "", "id": 4 } },
{ "tag": "enum", "ns": 0, "name": "", "id": 5, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:45:9", "fields": [{ "tag": "field", "name": "RKLLM_INFER_GENERATE", "value": 0 }, { "tag": "field", "name": "RKLLM_INFER_GET_LAST_HIDDEN_LAYER", "value": 1 }] },
{ "tag": "typedef", "ns": 0, "name": "RKLLMInferMode", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:48:3", "type": { "tag": ":enum", "name": "", "id": 5 } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMExtendParam", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:57:3", "type": { "tag": "struct", "ns": 762211947, "name": "", "id": 6, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:54:9", "bit-size": 928, "bit-alignment": 32, "fields": [{ "tag": "field", "name": "base_domain_id", "bit-offset": 0, "bit-size": 32, "bit-alignment": 32, "type": { "tag": "int32_t" } }, { "tag": "field", "name": "reserved", "bit-offset": 32, "bit-size": 896, "bit-alignment": 8, "type": { "tag": ":array", "type": { "tag": "uint8_t" }, "size": 112 } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMParam", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:82:3", "type": { "tag": "struct", "ns": 762211947, "name": "", "id": 7, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:63:9", "bit-size": 1600, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "model_path", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }, { "tag": "field", "name": "max_context_len", "bit-offset": 64, "bit-size": 32, "bit-alignment": 32, "type": { "tag": "int32_t" } }, { "tag": "field", "name": "max_new_tokens", "bit-offset": 96, "bit-size": 32, "bit-alignment": 32, "type": { "tag": "int32_t" } }, { "tag": "field", "name": "top_k", "bit-offset": 128, "bit-size": 32, "bit-alignment": 32, "type": { "tag": "int32_t" } }, { "tag": "field", "name": "top_p", "bit-offset": 160, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } }, { "tag": "field", "name": "temperature", "bit-offset": 192, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } }, { "tag": "field", "name": "repeat_penalty", "bit-offset": 224, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } }, { "tag": "field", "name": "frequency_penalty", "bit-offset": 256, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } }, { "tag": "field", "name": "presence_penalty", "bit-offset": 288, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } }, { "tag": "field", "name": "mirostat", "bit-offset": 320, "bit-size": 32, "bit-alignment": 32, "type": { "tag": "int32_t" } }, { "tag": "field", "name": "mirostat_tau", "bit-offset": 352, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } }, { "tag": "field", "name": "mirostat_eta", "bit-offset": 384, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } }, { "tag": "field", "name": "skip_special_token", "bit-offset": 416, "bit-size": 8, "bit-alignment": 8, "type": { "tag": ":_Bool", "bit-size": 8, "bit-alignment": 8 } }, { "tag": "field", "name": "is_async", "bit-offset": 424, "bit-size": 8, "bit-alignment": 8, "type": { "tag": ":_Bool", "bit-size": 8, "bit-alignment": 8 } }, { "tag": "field", "name": "img_start", "bit-offset": 448, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }, { "tag": "field", "name": "img_end", "bit-offset": 512, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }, { "tag": "field", "name": "img_content", "bit-offset": 576, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }, { "tag": "field", "name": "extend_param", "bit-offset": 640, "bit-size": 928, "bit-alignment": 32, "type": { "tag": "RKLLMExtendParam" } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMLoraAdapter", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:92:3", "type": { "tag": "struct", "ns": 762211947, "name": "", "id": 8, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:88:9", "bit-size": 192, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "lora_adapter_path", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }, { "tag": "field", "name": "lora_adapter_name", "bit-offset": 64, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }, { "tag": "field", "name": "scale", "bit-offset": 128, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMEmbedInput", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:101:3", "type": { "tag": "struct", "ns": 762211947, "name": "", "id": 9, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:98:9", "bit-size": 128, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "embed", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } } }, { "tag": "field", "name": "n_tokens", "bit-offset": 64, "bit-size": 64, "bit-alignment": 64, "type": { "tag": "size_t" } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMTokenInput", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:110:3", "type": { "tag": "struct", "ns": 1814916718, "name": "", "id": 10, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:107:9", "bit-size": 128, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "input_ids", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": "int32_t" } } }, { "tag": "field", "name": "n_tokens", "bit-offset": 64, "bit-size": 64, "bit-alignment": 64, "type": { "tag": "size_t" } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMMultiModelInput", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:120:3", "type": { "tag": "struct", "ns": 1814916718, "name": "", "id": 11, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:116:9", "bit-size": 192, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "prompt", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }, { "tag": "field", "name": "image_embed", "bit-offset": 64, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } } }, { "tag": "field", "name": "n_image_tokens", "bit-offset": 128, "bit-size": 64, "bit-alignment": 64, "type": { "tag": "size_t" } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMInput", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:134:3", "type": { "tag": "struct", "ns": 1814916718, "name": "", "id": 12, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:126:9", "bit-size": 256, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "input_type", "bit-offset": 0, "bit-size": 32, "bit-alignment": 32, "type": { "tag": "RKLLMInputType" } }, { "tag": "field", "name": "", "bit-offset": 64, "bit-size": 192, "bit-alignment": 64, "type": { "tag": "union", "ns": 1814916718, "name": "", "id": 13, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:128:5", "bit-size": 192, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "prompt_input", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }, { "tag": "field", "name": "embed_input", "bit-offset": 0, "bit-size": 128, "bit-alignment": 64, "type": { "tag": "RKLLMEmbedInput" } }, { "tag": "field", "name": "token_input", "bit-offset": 0, "bit-size": 128, "bit-alignment": 64, "type": { "tag": "RKLLMTokenInput" } }, { "tag": "field", "name": "multimodal_input", "bit-offset": 0, "bit-size": 192, "bit-alignment": 64, "type": { "tag": "RKLLMMultiModelInput" } }] } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMLoraParam", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:142:3", "type": { "tag": "struct", "ns": 1814916718, "name": "", "id": 14, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:140:9", "bit-size": 64, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "lora_adapter_name", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMPromptCacheParam", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:151:3", "type": { "tag": "struct", "ns": 1814916718, "name": "", "id": 15, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:148:9", "bit-size": 128, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "save_prompt_cache", "bit-offset": 0, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } }, { "tag": "field", "name": "prompt_cache_path", "bit-offset": 64, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMInferParam", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:161:3", "type": { "tag": "struct", "ns": 1814916718, "name": "", "id": 16, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:157:9", "bit-size": 192, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "mode", "bit-offset": 0, "bit-size": 32, "bit-alignment": 32, "type": { "tag": "RKLLMInferMode" } }, { "tag": "field", "name": "lora_params", "bit-offset": 64, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": "RKLLMLoraParam" } } }, { "tag": "field", "name": "prompt_cache_params", "bit-offset": 128, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": "RKLLMPromptCacheParam" } } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMResultLastHiddenLayer", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:171:3", "type": { "tag": "struct", "ns": 1814916718, "name": "", "id": 17, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:167:9", "bit-size": 128, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "hidden_states", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":float", "bit-size": 32, "bit-alignment": 32 } } }, { "tag": "field", "name": "embd_size", "bit-offset": 64, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } }, { "tag": "field", "name": "num_tokens", "bit-offset": 96, "bit-size": 32, "bit-alignment": 32, "type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } }] } },
{ "tag": "typedef", "ns": 0, "name": "RKLLMResult", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:181:3", "type": { "tag": "struct", "ns": 1814916718, "name": "", "id": 18, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:177:9", "bit-size": 256, "bit-alignment": 64, "fields": [{ "tag": "field", "name": "text", "bit-offset": 0, "bit-size": 64, "bit-alignment": 64, "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }, { "tag": "field", "name": "token_id", "bit-offset": 64, "bit-size": 32, "bit-alignment": 32, "type": { "tag": "int32_t" } }, { "tag": "field", "name": "last_hidden_layer", "bit-offset": 128, "bit-size": 128, "bit-alignment": 64, "type": { "tag": "RKLLMResultLastHiddenLayer" } }] } },
{ "tag": "typedef", "ns": 0, "name": "LLMResultCallback", "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:190:15", "type": { "tag": ":function-pointer" } },
{ "tag": "function", "name": "rkllm_createDefaultParam", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:196:12", "variadic": false, "inline": false, "storage-class": "none", "parameters": [], "return-type": { "tag": "RKLLMParam" } },
{ "tag": "function", "name": "rkllm_init", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:205:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": ":pointer", "type": { "tag": "LLMHandle" } } }, { "tag": "parameter", "name": "param", "type": { "tag": ":pointer", "type": { "tag": "RKLLMParam" } } }, { "tag": "parameter", "name": "callback", "type": { "tag": "LLMResultCallback" } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_load_lora", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:213:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }, { "tag": "parameter", "name": "lora_adapter", "type": { "tag": ":pointer", "type": { "tag": "RKLLMLoraAdapter" } } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_load_prompt_cache", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:221:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }, { "tag": "parameter", "name": "prompt_cache_path", "type": { "tag": ":pointer", "type": { "tag": ":char", "bit-size": 8, "bit-alignment": 8 } } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_release_prompt_cache", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:228:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_destroy", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:235:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_run", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:245:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }, { "tag": "parameter", "name": "rkllm_input", "type": { "tag": ":pointer", "type": { "tag": "RKLLMInput" } } }, { "tag": "parameter", "name": "rkllm_infer_params", "type": { "tag": ":pointer", "type": { "tag": "RKLLMInferParam" } } }, { "tag": "parameter", "name": "userdata", "type": { "tag": ":pointer", "type": { "tag": ":void" } } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_run_async", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:255:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }, { "tag": "parameter", "name": "rkllm_input", "type": { "tag": ":pointer", "type": { "tag": "RKLLMInput" } } }, { "tag": "parameter", "name": "rkllm_infer_params", "type": { "tag": ":pointer", "type": { "tag": "RKLLMInferParam" } } }, { "tag": "parameter", "name": "userdata", "type": { "tag": ":pointer", "type": { "tag": ":void" } } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_abort", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:262:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "function", "name": "rkllm_is_running", "ns": 0, "location": "/srv/dev-disk-by-uuid-e704bc62-3f03-4c9f-a44a-7f7536ea97e1/public/compile/rknn-llm-release-v1.1.4/rkllm-runtime/Linux/librkllm_api/include/rkllm.h:269:5", "variadic": false, "inline": false, "storage-class": "none", "parameters": [{ "tag": "parameter", "name": "handle", "type": { "tag": "LLMHandle" } }], "return-type": { "tag": ":int", "bit-size": 32, "bit-alignment": 32 } },
{ "tag": "const", "name": "_SYS_CDEFS_H", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:20:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__GLIBC_USE_IEC_60559_BFP_EXT", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/libc-header-start.h:71:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "__GLIBC__", "ns": 0, "location": "/usr/include/features.h:480:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 2 },
{ "tag": "const", "name": "__GLIBC_USE_IEC_60559_BFP_EXT_C2X", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/libc-header-start.h:77:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "__GLIBC_MINOR__", "ns": 0, "location": "/usr/include/features.h:481:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 36 },
{ "tag": "const", "name": "__GNU_LIBRARY__", "ns": 0, "location": "/usr/include/features.h:476:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 6 },
{ "tag": "const", "name": "__STDC_ISO_10646__", "ns": 0, "location": "/usr/include/stdc-predef.h:62:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 201706 },
{ "tag": "const", "name": "__STDC_IEC_60559_COMPLEX__", "ns": 0, "location": "/usr/include/stdc-predef.h:53:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 201404 },
{ "tag": "const", "name": "INT8_MIN", "ns": 0, "location": "/usr/include/stdint.h:116:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -128 },
{ "tag": "const", "name": "__STDC_IEC_559_COMPLEX__", "ns": 0, "location": "/usr/include/stdc-predef.h:52:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "_BITS_STDINT_UINTN_H", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/stdint-uintn.h:20:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__GLIBC_USE_LIB_EXT2", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/libc-header-start.h:42:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "UINT_LEAST64_MAX", "ns": 0, "location": "/usr/include/stdint.h:148:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -1 },
{ "tag": "const", "name": "UINT_LEAST32_MAX", "ns": 0, "location": "/usr/include/stdint.h:147:10", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 4294967295 },
{ "tag": "const", "name": "_POSIX_C_SOURCE", "ns": 0, "location": "/usr/include/features.h:290:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 200809 },
{ "tag": "const", "name": "UINT_LEAST16_MAX", "ns": 0, "location": "/usr/include/stdint.h:146:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 65535 },
{ "tag": "const", "name": "UINT_LEAST8_MAX", "ns": 0, "location": "/usr/include/stdint.h:145:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 255 },
{ "tag": "const", "name": "__USE_POSIX_IMPLICITLY", "ns": 0, "location": "/usr/include/features.h:285:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "_POSIX_SOURCE", "ns": 0, "location": "/usr/include/features.h:288:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "INT_FAST64_MIN", "ns": 0, "location": "/usr/include/stdint.h:160:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -9223372036854775808 },
{ "tag": "const", "name": "INT_FAST16_MIN", "ns": 0, "location": "/usr/include/stdint.h:154:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -9223372036854775808 },
{ "tag": "const", "name": "INT_FAST32_MIN", "ns": 0, "location": "/usr/include/stdint.h:155:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -9223372036854775808 },
{ "tag": "const", "name": "INT_FAST8_MIN", "ns": 0, "location": "/usr/include/stdint.h:152:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -128 },
{ "tag": "const", "name": "UINT_FAST8_MAX", "ns": 0, "location": "/usr/include/stdint.h:173:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 255 },
{ "tag": "const", "name": "INT_FAST64_MAX", "ns": 0, "location": "/usr/include/stdint.h:170:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 9223372036854775807 },
{ "tag": "const", "name": "INT_FAST32_MAX", "ns": 0, "location": "/usr/include/stdint.h:165:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 9223372036854775807 },
{ "tag": "const", "name": "INT_FAST16_MAX", "ns": 0, "location": "/usr/include/stdint.h:164:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 9223372036854775807 },
{ "tag": "const", "name": "_DEFAULT_SOURCE", "ns": 0, "location": "/usr/include/features.h:236:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "INTPTR_MIN", "ns": 0, "location": "/usr/include/stdint.h:186:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -9223372036854775808 },
{ "tag": "const", "name": "UINT_FAST64_MAX", "ns": 0, "location": "/usr/include/stdint.h:181:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -1 },
{ "tag": "const", "name": "INT_FAST8_MAX", "ns": 0, "location": "/usr/include/stdint.h:162:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 127 },
{ "tag": "const", "name": "UINT_FAST32_MAX", "ns": 0, "location": "/usr/include/stdint.h:176:11", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 18446744073709551615 },
{ "tag": "const", "name": "UINT_FAST16_MAX", "ns": 0, "location": "/usr/include/stdint.h:175:11", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 18446744073709551615 },
{ "tag": "const", "name": "__STDC_IEC_559__", "ns": 0, "location": "/usr/include/stdc-predef.h:42:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "INT16_MAX", "ns": 0, "location": "/usr/include/stdint.h:122:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 32767 },
{ "tag": "const", "name": "__STDC_IEC_60559_BFP__", "ns": 0, "location": "/usr/include/stdc-predef.h:43:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 201404 },
{ "tag": "const", "name": "INT32_MIN", "ns": 0, "location": "/usr/include/stdint.h:118:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -2147483648 },
{ "tag": "const", "name": "INT8_MAX", "ns": 0, "location": "/usr/include/stdint.h:121:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 127 },
{ "tag": "const", "name": "_STDC_PREDEF_H", "ns": 0, "location": "/usr/include/stdc-predef.h:19:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "INT16_MIN", "ns": 0, "location": "/usr/include/stdint.h:117:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -32768 },
{ "tag": "const", "name": "UINT16_MAX", "ns": 0, "location": "/usr/include/stdint.h:128:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 65535 },
{ "tag": "const", "name": "INT64_MIN", "ns": 0, "location": "/usr/include/stdint.h:119:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -9223372036854775808 },
{ "tag": "const", "name": "INT64_MAX", "ns": 0, "location": "/usr/include/stdint.h:124:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 9223372036854775807 },
{ "tag": "const", "name": "INT32_MAX", "ns": 0, "location": "/usr/include/stdint.h:123:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 2147483647 },
{ "tag": "const", "name": "__TIMESIZE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/timesize.h:20:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 64 },
{ "tag": "const", "name": "UINT8_MAX", "ns": 0, "location": "/usr/include/stdint.h:127:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 255 },
{ "tag": "const", "name": "INT_LEAST16_MIN", "ns": 0, "location": "/usr/include/stdint.h:135:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -32768 },
{ "tag": "const", "name": "__WORDSIZE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/wordsize.h:21:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 64 },
{ "tag": "const", "name": "__WORDSIZE_TIME64_COMPAT32", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/wordsize.h:28:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "UINT64_MAX", "ns": 0, "location": "/usr/include/stdint.h:130:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -1 },
{ "tag": "const", "name": "INT_LEAST32_MAX", "ns": 0, "location": "/usr/include/stdint.h:141:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 2147483647 },
{ "tag": "const", "name": "UINT32_MAX", "ns": 0, "location": "/usr/include/stdint.h:129:10", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 4294967295 },
{ "tag": "const", "name": "INT_LEAST16_MAX", "ns": 0, "location": "/usr/include/stdint.h:140:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 32767 },
{ "tag": "const", "name": "_ATFILE_SOURCE", "ns": 0, "location": "/usr/include/features.h:351:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "INT_LEAST8_MAX", "ns": 0, "location": "/usr/include/stdint.h:139:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 127 },
{ "tag": "const", "name": "INT_LEAST64_MIN", "ns": 0, "location": "/usr/include/stdint.h:137:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -9223372036854775808 },
{ "tag": "const", "name": "INT_LEAST8_MIN", "ns": 0, "location": "/usr/include/stdint.h:134:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -128 },
{ "tag": "const", "name": "INT_LEAST64_MAX", "ns": 0, "location": "/usr/include/stdint.h:142:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 9223372036854775807 },
{ "tag": "const", "name": "__USE_XOPEN2K8", "ns": 0, "location": "/usr/include/features.h:349:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "INT_LEAST32_MIN", "ns": 0, "location": "/usr/include/stdint.h:136:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -2147483648 },
{ "tag": "const", "name": "__S16_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:109:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__USE_POSIX199506", "ns": 0, "location": "/usr/include/features.h:337:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__USE_XOPEN2K", "ns": 0, "location": "/usr/include/features.h:341:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__USE_POSIX", "ns": 0, "location": "/usr/include/features.h:325:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__USE_POSIX199309", "ns": 0, "location": "/usr/include/features.h:333:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__USE_POSIX2", "ns": 0, "location": "/usr/include/features.h:329:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "_FEATURES_H", "ns": 0, "location": "/usr/include/features.h:19:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__USE_ISOC11", "ns": 0, "location": "/usr/include/features.h:250:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__USE_ISOC95", "ns": 0, "location": "/usr/include/features.h:343:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__USE_ISOC99", "ns": 0, "location": "/usr/include/features.h:345:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__U64_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:135:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__S64_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:134:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__ULONG32_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:133:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__SLONG32_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:132:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__GLIBC_USE_DEPRECATED_GETS", "ns": 0, "location": "/usr/include/features.h:439:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "__RLIM_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:42:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__OFF_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:41:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__GLIBC_USE_ISOC2X", "ns": 0, "location": "/usr/include/features.h:244:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "__INO_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:40:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "_BITS_TYPESIZES_H", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:24:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__GLIBC_USE_DEPRECATED_SCANF", "ns": 0, "location": "/usr/include/features.h:462:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "__STD_TYPE", "ns": 0, "location": "/tmp/tmpVTFK6ZJW-tmp.c:82:12", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__SLONGWORD_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:113:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__U32_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:112:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__U16_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:110:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__S32_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:111:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__USE_FORTIFY_LEVEL", "ns": 0, "location": "/usr/include/features.h:431:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "__UWORD_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:131:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__UQUAD_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:129:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__SWORD_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:130:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__SQUAD_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:128:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__USE_ATFILE", "ns": 0, "location": "/usr/include/features.h:399:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__USE_MISC", "ns": 0, "location": "/usr/include/features.h:395:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__ULONGWORD_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:114:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__GLIBC_USE_IEC_60559_EXT", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/libc-header-start.h:83:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "_STDINT_H", "ns": 0, "location": "/usr/include/stdint.h:23:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "_BITS_TYPES_H", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/types.h:24:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "bool", "ns": 0, "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stdbool.h:15:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__GCC_HAVE_DWARF2_CFI_ASM", "ns": 0, "location": "<command line>:1:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__GLIBC_USE_IEC_60559_TYPES_EXT", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/libc-header-start.h:109:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "__THROW", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:79:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__THROWNL", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:80:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__GLIBC_USE_IEC_60559_FUNCS_EXT", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/libc-header-start.h:94:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "__GLIBC_USE_IEC_60559_FUNCS_EXT_C2X", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/libc-header-start.h:100:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "_BITS_TIME64_H", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/time64.h:24:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__FD_SETSIZE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:104:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1024 },
{ "tag": "const", "name": "__ptr_t", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:128:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__TIME64_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/time64.h:30:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__INO_T_MATCHES_INO64_T", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:85:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__RLIM_T_MATCHES_RLIM64_T", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:88:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__KERNEL_OLD_TIMEVAL_MATCHES_TIMEVAL64", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:94:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__STATFS_MATCHES_STATFS64", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:91:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__RLIM64_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:58:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__attribute_malloc__", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:283:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__BLKCNT64_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:59:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__FSBLKCNT64_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:60:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__FSFILCNT64_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:61:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__INO64_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:53:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__MODE_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:54:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__NLINK_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:55:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__OFF64_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:56:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__SUSECONDS_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:47:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__attribute_const__", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:317:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__DEV_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:50:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__UID_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:51:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__GID_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:52:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__attribute_maybe_unused__", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:323:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__PID_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:57:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__FSBLKCNT_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:44:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__attribute_pure__", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:310:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__FSFILCNT_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:45:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__SYSCALL_SLONG_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:74:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__TIME_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:46:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__BLKCNT_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:43:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__SYSCALL_ULONG_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:75:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__CPU_MASK_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:76:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__OFF_T_MATCHES_OFF64_T", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:82:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__BLKSIZE_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:71:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__FSID_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:72:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__SSIZE_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:73:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__DADDR_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:67:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__SUSECONDS64_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:66:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__KEY_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:68:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__CLOCKID_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:69:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__TIMER_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:70:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__flexarr", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:218:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__ID_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:63:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__FSWORD_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:62:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__CLOCK_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:64:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__USECONDS_T_TYPE", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/typesizes.h:65:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__glibc_c99_flexarr_available", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:219:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__always_inline", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:426:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__attribute_warn_unused_result__", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:408:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__returns_nonnull", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:399:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__restrict_arr", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:497:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__extern_always_inline", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:458:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__fortify_function", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:463:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "true", "ns": 0, "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stdbool.h:16:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__extern_inline", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:457:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "false", "ns": 0, "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stdbool.h:17:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "__attribute_artificial__", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:435:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "__bool_true_false_are_defined", "ns": 0, "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stdbool.h:29:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "PTRDIFF_MIN", "ns": 0, "location": "/usr/include/stdint.h:209:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -9223372036854775808 },
{ "tag": "const", "name": "PTRDIFF_MAX", "ns": 0, "location": "/usr/include/stdint.h:210:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 9223372036854775807 },
{ "tag": "const", "name": "__attribute_deprecated__", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:341:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "SIG_ATOMIC_MIN", "ns": 0, "location": "/usr/include/stdint.h:222:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -2147483648 },
{ "tag": "const", "name": "SIG_ATOMIC_MAX", "ns": 0, "location": "/usr/include/stdint.h:223:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 2147483647 },
{ "tag": "const", "name": "SIZE_MAX", "ns": 0, "location": "/usr/include/stdint.h:227:11", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 18446744073709551615 },
{ "tag": "const", "name": "INTPTR_MAX", "ns": 0, "location": "/usr/include/stdint.h:187:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 9223372036854775807 },
{ "tag": "const", "name": "UINTPTR_MAX", "ns": 0, "location": "/usr/include/stdint.h:188:11", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 18446744073709551615 },
{ "tag": "const", "name": "__attribute_used__", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:332:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "INTMAX_MIN", "ns": 0, "location": "/usr/include/stdint.h:197:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -9223372036854775808 },
{ "tag": "const", "name": "__attribute_noinline__", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:333:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 } },
{ "tag": "const", "name": "INTMAX_MAX", "ns": 0, "location": "/usr/include/stdint.h:199:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 9223372036854775807 },
{ "tag": "const", "name": "UINTMAX_MAX", "ns": 0, "location": "/usr/include/stdint.h:202:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": -1 },
{ "tag": "const", "name": "WCHAR_MIN", "ns": 0, "location": "/usr/include/stdint.h:239:11", "type": { "tag": ":unsigned-long-long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "WCHAR_MAX", "ns": 0, "location": "/usr/include/stdint.h:240:11", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 4294967295 },
{ "tag": "const", "name": "WINT_MIN", "ns": 0, "location": "/usr/include/stdint.h:244:10", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "WINT_MAX", "ns": 0, "location": "/usr/include/stdint.h:245:10", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 4294967295 },
{ "tag": "const", "name": "__HAVE_GENERIC_SELECTION", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/sys/cdefs.h:656:10", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "_BITS_STDINT_INTN_H", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/stdint-intn.h:20:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__WCHAR_MAX", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/wchar.h:34:10", "type": { "tag": ":unsigned-long", "bit-size": 64, "bit-alignment": 64 }, "value": 4294967295 },
{ "tag": "const", "name": "__WCHAR_MIN", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/wchar.h:44:10", "type": { "tag": ":unsigned-long-long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "_BITS_WCHAR_H", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/wchar.h:20:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 1 },
{ "tag": "const", "name": "__LDOUBLE_REDIRECTS_TO_FLOAT128_ABI", "ns": 0, "location": "/usr/include/aarch64-linux-gnu/bits/long-double.h:21:9", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 },
{ "tag": "const", "name": "NULL", "ns": 0, "location": "/usr/lib/llvm-14/lib/clang/14.0.6/include/stddef.h:89:11", "type": { "tag": ":long", "bit-size": 64, "bit-alignment": 64 }, "value": 0 }
]
